Bug 494416 - simplify mkdumprds use of mount when mounting rootfs
simplify mkdumprds use of mount when mounting rootfs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Neil Horman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-06 15:34 EDT by Neil Horman
Modified: 2009-09-29 02:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-29 02:06:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil Horman 2009-04-06 15:34:52 EDT
Description of problem:
Lubomir Rintel <lkundrak@v3.sk> passed this to me.  It simplifies our mounting of the rootfs:

--- ./mkdumprd.rootfs   2009-04-05 21:37:33.099237275 +0200
+++ ./mkdumprd  2009-04-05 21:37:40.423233727 +0200
@@ -2102,19 +2102,9 @@ emit "fi"

 emit "echo Checking root filesystem."
 emit "fsck \$ROOTDEV"
-emit "echo Mounting root filesystem."
-emit "for FSTYPE in ext3 ext2 minix"
-emit "do"
-emit "  echo Trying mount -t \$FSTYPE \$ROOTDEV /sysroot"
-emit "  mount -t \$FSTYPE \$ROOTDEV /sysroot >/dev/null 2>&1 "
-emit "  if [ \$? == 0 ]"
-emit "  then"
-emit "      echo Using \$FSTYPE on root filesystem"
-emit "      ROOT_MOUNT_GOOD=1"
-emit "      break;"
-emit "  fi"
-emit "done"
-emit "if [ -z \"\$ROOT_MOUNT_GOOD\" ]"
+emit "echo Mounting root filesystem: mount -t $rootfs \$ROOTDEV /sysroot"
+emit "mount -t $rootfs \$ROOTDEV /sysroot >/dev/null 2>&1 "
+emit "if [ \$? != 0 ]"
 emit "then"
 emit "   echo unable to mount rootfs. Dropping to shell"
 emit "   /bin/msh"
Comment 1 Neil Horman 2009-04-07 09:57:30 EDT
fixed in -12.fc11.  Thanks!
Comment 2 Lubomir Rintel 2009-04-07 10:04:46 EDT
Thank you for applying this, Neil.
Comment 3 Bug Zapper 2009-06-09 09:21:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.